namespace LHDN.CRM.Models.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("Ref_TPFileTypePrefix")]
    public partial class TPFileTypePrefixCls
    {
        [Key]
        public int TPFileTypePrefixID { get; set; }

        public int TPFileTypeID { get; set; }

        [Required]
        [StringLength(10)]
        public string TPFileTypePrefix { get; set; }

        public bool IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }

        private TPFileType TPFileType { get; set; }
    }
}
